com.ibm.openpages.api.respview

## Interface IRespViewField

- All Superinterfaces:
    IRespViewGuidance

      public interface IRespViewField
      extends IRespViewGuidance

  Represents a field of responsive view.

  Since:
    8.0.0.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDisplayTypeAttributes.INumberRangeColor` | `createNumberRangeColor(java.lang.Double bottom, java.lang.Double top, java.lang.String color)` Creates an `IDisplayTypeAttributes.INumberRangeColor` object, that is used by `setNumberRangeColors(List)`.
    `IDisplayTypeAttributes.INumberRangeColor` | `createNumberRangeColor(java.lang.Long bottom, java.lang.Long top, java.lang.String color)` Creates an `IDisplayTypeAttributes.INumberRangeColor` object, that is used by `setNumberRangeColors(List)`.
    `java.util.List<IRespViewAction>` | `getActions()` Gets all actions associated with the current field
    `java.util.Map<java.lang.String,java.lang.String>` | `getEnumValueColors()` Returns the map that represents colors for enumerated values, or null if it is not set.
    `IFieldDefinition` | `getFieldDefinition()` Returns the field definition of the responsive view field or null.
    `RespViewFieldType` | `getFieldType()` Returns type of the responsive view field.
    `java.util.List<java.lang.String>` | `getMlModels()`
    `java.lang.String` | `getNameLabel()` Returns the localized name label of the relationship field for the user session
    `java.util.List<ILabel>` | `getNameLabels()` Returns the responsive view field name labels for all locales
    `java.util.List<IDisplayTypeAttributes.INumberRangeColor>` | `getNumberRangeColors()` Returns list of `IDisplayTypeAttributes.INumberRangeColor`, or null if it is not set.
    `java.lang.String` | `getPalette()` Returns the field's color palette.
    `ITypeDefinition` | `getParentRelationTypeDefinition()` Returns the parent type definition of the responsive view field or null.
    `Id` | `getRelationFilterId()` Returns the id of the relation filter.
    `java.lang.String` | `getRelationshipName()` Returns the name of the responsive view field or null.
    `java.util.List<java.lang.String>` | `getRelationshipPaths()` Returns the list of type definition paths to the related object.
    `ITypeDefinition` | `getRelationTypeDefinition()` Returns the type definition of the responsive view field or null.
    `java.util.List<IRespViewFieldRule>` | `getRules()` Gets the list of rules defined on this field.
    `SortDirection` | `getSortDirection()` Returns the direction of sorting of the relationship rows.
    `IFieldDefinition` | `getSortField()` Returns the field definition that is used for sorting of relationship rows.
    `java.lang.Boolean` | `isBulkUpdateEnabled()`
    `java.lang.Boolean` | `isBulkUpdateOnly()`
    `void` | `setActions(java.util.List<IRespViewAction> actions)` Sets the list of actions associated to the current field.
    `void` | `setEnumValueColors(java.util.Map<java.lang.String,java.lang.String> enumValueColors)` Sets the map that represents colors for enumerated values.
    `void` | `setIsBulkUpdateEnabled(boolean isEnabled)` Sets whether or not field is enabled for bulk update
    `void` | `setIsBulkUpdateOnly(boolean isBulkUpdateOnly)` Sets whether or not the field is only used for bulk update
    `void` | `setMlModels(java.util.List<java.lang.String> mlModels)`
    `void` | `setNameLabels(java.util.List<ILabel> nameLabels)` Sets the list of responsive view field name labels
    `void` | `setNumberRangeColors(java.util.List<IDisplayTypeAttributes.INumberRangeColor> numberRangeColors)` Sets the list of `IDisplayTypeAttributes.INumberRangeColor`.
    `void` | `setPalette(java.lang.String palette)` Sets the name of the field's color palette.
    `void` | `setParentRelationTypeDefinition(ITypeDefinition parentRelationTypeDefinition)` Sets the parentRelationTypeDefinition used in sibling relationship type.
    `void` | `setRelationFilterId(Id filterId)` Sets the id of the relation filter.
    `void` | `setRelationshipPaths(java.util.List<java.lang.String> relationPaths)` Sets the list of type definition paths to the related object.
    `void` | `setRules(java.util.List<IRespViewFieldRule> rules)` Sets the list of rules defined on this field.
    `void` | `setSortDirection(SortDirection direction)` Sets the direction of sorting of the relationship rows.
    `void` | `setSortField(IFieldDefinition sortFields)` Sets the field definition that is used for sorting of relationship rows.

    - ### Methods inherited from interface com.ibm.openpages.api.respview.IRespViewGuidance

      `getFields, getHelpText, getHelpTextLabels, getHelpTopic, getHelpTopicLabels, setFields, setHelpText, setHelpTextLabels, setHelpTopic, setHelpTopicLabels`

- - ### Method Detail

    - #### getFieldType

          RespViewFieldType getFieldType()

      Returns type of the responsive view field.
      Returns:
        `RespViewFieldType` the type of responsive view field.

    - #### getFieldDefinition

          IFieldDefinition getFieldDefinition()

      Returns the field definition of the responsive view field or null.
      Returns:
        `IFieldDefinition` the field definition when the field type is `RespViewFieldType.object`. Returns null otherwise.

    - #### getRelationshipName

          java.lang.String getRelationshipName()

      Returns the name of the responsive view field or null.
      Returns:
        the name of the responsive view field when the field type is anything other than `RespViewFieldType.object`. Returns null otherwise.

    - #### getRelationTypeDefinition

          ITypeDefinition getRelationTypeDefinition()

      Returns the type definition of the responsive view field or null.
      Returns:
        `ITypeDefinition` the type definition when the field type is anything other than `RespViewFieldType.object`. Returns null otherwise.

    - #### getParentRelationTypeDefinition

          ITypeDefinition getParentRelationTypeDefinition()

      Returns the parent type definition of the responsive view field or null.
      Returns:
        `ITypeDefinition` the type definition of the parent type when the field type is anything other than `RespViewFieldType.object` and relationship type is 'sibling'. Returns null otherwise.

    - #### getRelationFilterId

          Id getRelationFilterId()

      Returns the id of the relation filter. Returns null if the field type is `RespViewFieldType.object`.
      Returns:
        `Id` the filter definition Id of the relation.

    - #### setRelationFilterId

          void setRelationFilterId(Id filterId)

      Sets the id of the relation filter.
      Parameters:
        `filterId` -

    - #### getRelationshipPaths

          java.util.List<java.lang.String> getRelationshipPaths()

      Returns the list of type definition paths to the related object. Returns null if the field type is `RespViewFieldType.object`.
      Returns:
        the list of string that represents the type definition paths. e.g. "SOXControl/KeyRiskIndicator/SOXIssue"

    - #### setRelationshipPaths

          void setRelationshipPaths(java.util.List<java.lang.String> relationPaths)

      Sets the list of type definition paths to the related object.
      Parameters:
        `relationPaths` -

    - #### getSortField

          IFieldDefinition getSortField()

      Returns the field definition that is used for sorting of relationship rows. Returns null if the field type is `RespViewFieldType.object`.
      Returns:
        `IFieldDefinition` the field used for sorting of relationship rows.

    - #### setSortField

          void setSortField(IFieldDefinition sortFields)

      Sets the field definition that is used for sorting of relationship rows.
      Parameters:
        `sortFields` -

    - #### getSortDirection

          SortDirection getSortDirection()

      Returns the direction of sorting of the relationship rows. Returns null if the field type is `RespViewFieldType.object`.
      Returns:
        the direction of sorting.

    - #### setSortDirection

          void setSortDirection(SortDirection direction)

      Sets the direction of sorting of the relationship rows.
      Parameters:
        `direction` -

    - #### getPalette

          java.lang.String getPalette()

      Returns the field's color palette.
      Returns:
        The name of the field's color palette, e.g monochromatic

    - #### setPalette

          void setPalette(java.lang.String palette)

      Sets the name of the field's color palette.
      Parameters:
        `palette` -

    - #### getEnumValueColors

          java.util.Map<java.lang.String,java.lang.String> getEnumValueColors()

      Returns the map that represents colors for enumerated values, or null if it is not set. The color definitions are persisted on either: - field definition and shared across multiple views, or - view definition, that owns this field depending on the context. Here is the rule determine the location of persistence: - system views persist colors on view definition - draft-saved views persist colors on view definition - relationship fields persist colors on view definition - otherwise (i.e. not system view, view is published and on object fields), colors are persisted on the field definition Refer `IDisplayTypeAttributes` also.
      Returns:

    - #### setEnumValueColors

          void setEnumValueColors(java.util.Map<java.lang.String,java.lang.String> enumValueColors)

      Sets the map that represents colors for enumerated values. Refer `getEnumValueColors()` and `IDisplayTypeAttributes` also.
      Parameters:
        `enumValueColors` -

    - #### getNumberRangeColors

          java.util.List<IDisplayTypeAttributes.INumberRangeColor> getNumberRangeColors()

      Returns list of `IDisplayTypeAttributes.INumberRangeColor`, or null if it is not set. The color definitions are persisted on either: - field definition and shared across multiple views, or - view definition, that owns this field depending on the context. Here is the rule determine the location of persistence: - system views persist colors on view definition - draft-saved views persist colors on view definition - relationship fields persist colors on view definition - otherwise (i.e. not system view, view is published and on object fields), colors are persisted on the field definition Refer `IDisplayTypeAttributes` also.
      Returns:

    - #### setNumberRangeColors

          void setNumberRangeColors(java.util.List<IDisplayTypeAttributes.INumberRangeColor> numberRangeColors)

      Sets the list of `IDisplayTypeAttributes.INumberRangeColor`. Refer `getNumberRangeColors()` and `IDisplayTypeAttributes` also.
      Parameters:
        `numberRangeColors` -

    - #### createNumberRangeColor

          IDisplayTypeAttributes.INumberRangeColor createNumberRangeColor(java.lang.Double bottom,
                                                                          java.lang.Double top,
                                                                          java.lang.String color)

      Creates an `IDisplayTypeAttributes.INumberRangeColor` object, that is used by `setNumberRangeColors(List)`. Refer `getNumberRangeColors()` and `IDisplayTypeAttributes` also.
      Parameters:
        `bottom` - : bottom number of the range. It can be null when the top value is not null.
        `top` - : top number of the range. It can be null when the bottom value is not null.
        `color` - : color of the range
      Returns:

    - #### createNumberRangeColor

          IDisplayTypeAttributes.INumberRangeColor createNumberRangeColor(java.lang.Long bottom,
                                                                          java.lang.Long top,
                                                                          java.lang.String color)

      Creates an `IDisplayTypeAttributes.INumberRangeColor` object, that is used by `setNumberRangeColors(List)`. Refer `getNumberRangeColors()` and `IDisplayTypeAttributes` also.
      Parameters:
        `bottom` - : bottom number of the range. It can be null when the top value is not null.
        `top` - : top number of the range. It can be null when the bottom value is not null.
        `color` - : color of the range
      Returns:

    - #### getNameLabel

          java.lang.String getNameLabel()

      Returns the localized name label of the relationship field for the user session
      Returns:
        the localized name label as a string

    - #### getNameLabels

          java.util.List<ILabel> getNameLabels()

      Returns the responsive view field name labels for all locales
      Returns:
        `ILabel` the responsive view name label

    - #### setNameLabels

          void setNameLabels(java.util.List<ILabel> nameLabels)

      Sets the list of responsive view field name labels
      Parameters:
        `nameLabels` - the list of `ILabel`

    - #### getActions

          java.util.List<IRespViewAction> getActions()

      Gets all actions associated with the current field
      Returns:
        a list of actions

    - #### setActions

          void setActions(java.util.List<IRespViewAction> actions)

      Sets the list of actions associated to the current field.
      Parameters:
        `actions` - the list of `IRespViewAction`

    - #### getRules

          java.util.List<IRespViewFieldRule> getRules()

      Gets the list of rules defined on this field.
      Returns:
        List

    - #### setRules

          void setRules(java.util.List<IRespViewFieldRule> rules)

      Sets the list of rules defined on this field.
      Parameters:
        `rules` - List

    - #### setParentRelationTypeDefinition

          void setParentRelationTypeDefinition(ITypeDefinition parentRelationTypeDefinition)

      Sets the parentRelationTypeDefinition used in sibling relationship type.
      Parameters:
        `parentRelationTypeDefinition` -

    - #### isBulkUpdateOnly

          java.lang.Boolean isBulkUpdateOnly()

      Returns:
        if field is only used for bulk update (e.g. grid view)

    - #### setIsBulkUpdateOnly

          void setIsBulkUpdateOnly(boolean isBulkUpdateOnly)

      Sets whether or not the field is only used for bulk update
      Parameters:
        `isBulkUpdateOnly` -

    - #### isBulkUpdateEnabled

          java.lang.Boolean isBulkUpdateEnabled()

      Returns:
        whether or not field is enabled for bulk update (e.g. grid view)

    - #### setIsBulkUpdateEnabled

          void setIsBulkUpdateEnabled(boolean isEnabled)

      Sets whether or not field is enabled for bulk update
      Parameters:
        `isEnabled` -

    - #### getMlModels

          java.util.List<java.lang.String> getMlModels()

    - #### setMlModels

          void setMlModels(java.util.List<java.lang.String> mlModels)

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.